import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:pharmacy_mobile/widgets/logo_widget.dart';

class TitleWidget extends StatelessWidget {
  final double firstTextSize;
  final double secondTextSize;
  final double logoSize;

  const TitleWidget({super.key, required this.firstTextSize, required this.secondTextSize, required this.logoSize});

  @override
  Widget build(BuildContext context) {
    return Column(children: [
      LogoWidget(size: logoSize),
      const Gap(4),
      Text('Ofelia Franco-Alcala',
          style: GoogleFonts.outfit(
              textStyle: TextStyle(color: Color.fromRGBO(255, 255, 255, 1), fontSize: firstTextSize))),
      Text('Pharmacy',
          style: GoogleFonts.poppins(
              textStyle: TextStyle(color: Color.fromRGBO(255, 255, 255, 1), fontSize: secondTextSize))),
    ]);
  }
}
